Ventia
Contact

Create lead

### Add Lead This endpoint allows you to create campaing leads. Campaing leads are created as contacts if they dosen't exist on the database, but if it exists, ventia notifiys the agent owner of the contact with a note.

POST
/lead

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key sent as Authorization: Bearer <API_KEY>.

Request Body

application/json
  1. body
firstName*string
lastName*string
emails*array<string>
phones*array<string>
detail*string
origin*string
agent*string

Response Body

OK

application/json; charset=utf-8
  1. response
company*string
firstName*string
lastName*string
origin*string
originText*string
phones*array<string>
agent*string
agentFullName*string
firstAgent*string
firstAgentFullName*string
agentAssigned*string
archivingReason*string
archivingReasonText*string
status*string
attention*string
emails*array<string>
detail*string
stats*
createdCoords*
contactLocation*
databaseUploded*boolean
channels*array<string>
assignedGroups*array<string>
_id*string
lastInteraction*string
createdAt*string
updatedAt*string
__v*integer
Formatint32
curl -X POST 'https://api.getventia.com/api/v1.0/lead' \  -H 'Content-Type: application/json' \  -d '{  "firstName": "Agustin",  "lastName": "Suarez",  "emails": [    "agustin@example.com"  ],  "phones": [    "+59894444666"  ],  "detail": "",  "origin": "local",  "agent": "609d8512ee84d2388bde2353"}'
{  "company": "609b3cff61ffd5f1e446d234",  "firstName": "Agustin",  "lastName": "Suarez",  "origin": "local",  "originText": "Local",  "phones": [    "+59894444666"  ],  "agent": "609d8512ee84d2388bde2353",  "agentFullName": "Agent Name",  "firstAgent": "609d8512ee84d2388bde2353",  "firstAgentFullName": "Agent Name",  "agentAssigned": "2023-05-18T17:55:17.559Z",  "archivingReason": "",  "archivingReasonText": "",  "status": "new",  "attention": "not_actions",  "emails": [    "agustin@example.com"  ],  "detail": "",  "stats": {    "visits": 0  },  "createdCoords": {    "active": false  },  "contactLocation": {    "location": false  },  "databaseUploded": false,  "channels": [],  "assignedGroups": [],  "_id": "64666685696358053f46c33a",  "lastInteraction": "2023-05-18T17:55:17.560Z",  "createdAt": "2023-05-18T17:55:17.561Z",  "updatedAt": "2023-05-18T17:55:17.561Z",  "__v": 0}